app:
  description: 判断填空题与问答题是否回答正确
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: workflow
  name: 通用-答案判断器-考陪练
  use_icon_as_answer_icon: false
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/openrouter:0.0.22@99ef4cf4e08292c28806abaf24f295ed66e04e4b9e74385b487fd0767c7f56df
    version: null
kind: app
version: 0.5.0
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: start
        targetType: llm
      id: 1759259735113-source-1759345165645-target
      source: '1759259735113'
      sourceHandle: source
      target: '1759345165645'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: llm
        targetType: end
      id: 1759345165645-source-1759259743998-target
      source: '1759345165645'
      sourceHandle: source
      target: '1759259743998'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        selected: false
        title: 开始
        type: start
        variables:
        - default: ''
          hint: ''
          label: question
          max_length: 4800
          options: []
          placeholder: ''
          required: true
          type: paragraph
          variable: question
        - default: ''
          hint: ''
          label: correct_answer
          max_length: 9000
          options: []
          placeholder: ''
          required: true
          type: paragraph
          variable: correct_answer
        - default: ''
          hint: ''
          label: user_answer
          max_length: 9000
          options: []
          placeholder: ''
          required: true
          type: paragraph
          variable: user_answer
        - default: ''
          hint: ''
          label: analysis
          max_length: 9000
          options: []
          placeholder: ''
          required: true
          type: paragraph
          variable: analysis
      height: 166
      id: '1759259735113'
      position:
        x: 80
        y: 282
      positionAbsolute:
        x: 80
        y: 282
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        outputs:
        - value_selector:
          - '1759345165645'
          - text
          value_type: string
          variable: result
        selected: false
        title: 结束
        type: end
      height: 88
      id: '1759259743998'
      position:
        x: 994
        y: 309
      positionAbsolute:
        x: 994
        y: 309
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    - data:
        context:
          enabled: false
          variable_selector: []
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: google/gemini-2.5-flash
          provider: langgenius/openrouter/openrouter
        prompt_template:
        - id: c5d3c09c-d33c-430a-a8f3-663627411364
          role: system
          text: '你是一个答案判断器，根据用户提交的答案，比对题目、答案、解析。给出正确或错误的判断。

            - 注意：仅输出“正确”或“错误”，无需更多字符和说明。'
        - id: 2da57109-d891-46a6-8094-6f6ff63f8e5b
          role: user
          text: '题目：{{#1759259735113.question#}}。

            正确答案：{{#1759259735113.correct_answer#}}。

            解析：{{#1759259735113.analysis#}}。


            考生的回答：{{#1759259735113.user_answer#}}。'
        selected: true
        title: LLM
        type: llm
        vision:
          enabled: false
      height: 88
      id: '1759345165645'
      position:
        x: 587
        y: 266
      positionAbsolute:
        x: 587
        y: 266
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 242
    viewport:
      x: 189.67940233231604
      y: 148.41666226499444
      zoom: 0.7229018098572999
  rag_pipeline_variables: []
